Package tigase.server.cluster.strategy

# Class ClusteringMetadata

java.lang.Object
tigase.server.cluster.strategy.ClusteringMetadata

All Implemented Interfaces:
  `tigase.sys.OnlineJidsReporter`

public class ClusteringMetadata extends Object implements tigase.sys.OnlineJidsReporter

Author:
  kobit

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Map<tigase.xmpp.jid.BareJID,Map<tigase.xmpp.jid.JID,ConnectionRecordExt>>`
  `userConnections`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusteringMetadata()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `connectionsSize()`
  `boolean`
  `containsJid(tigase.xmpp.jid.BareJID jid)`
  `boolean`
  `containsJidLocally(tigase.xmpp.jid.BareJID jid)`
  `boolean`
  `containsJidLocally(tigase.xmpp.jid.JID jid)`
  `tigase.xmpp.jid.JID[]`
  `getConnectionIdsForJid(tigase.xmpp.jid.BareJID jid)`
  `ConnectionRecordExt`
  `getConnectionRecord(tigase.xmpp.jid.JID jid)`
  `Set<ConnectionRecordExt>`
  `getConnectionRecords(tigase.xmpp.jid.BareJID bareJID)`
  `Object`
  `getInternalData()`
  `List<tigase.xmpp.jid.JID>`
  `getNodesForJid(tigase.xmpp.jid.JID jid)`
  `boolean`
  `hasCompleteJidsInfo()`
  `long`
  `mapSize()`
  `boolean`
  `needsSync()`
  `void`
  `removeAllForNode(tigase.xmpp.jid.JID node)`
  `void`
  `userDisconnected(Queue<tigase.server.Packet> results, ConnectionRecordExt rec)`
  `void`
  `usersConnected(Queue<tigase.server.Packet> results, ConnectionRecordExt... recs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userConnections

    protected final Map<tigase.xmpp.jid.BareJID,Map<tigase.xmpp.jid.JID,ConnectionRecordExt>> userConnections

- ## Constructor Details

  - ### ClusteringMetadata

    public ClusteringMetadata()

- ## Method Details

  - ### connectionsSize

    public long connectionsSize()

  - ### containsJid

    public boolean containsJid(tigase.xmpp.jid.BareJID jid)
    Specified by:
      `containsJid` in interface `tigase.sys.OnlineJidsReporter`

  - ### containsJidLocally

    public boolean containsJidLocally(tigase.xmpp.jid.BareJID jid)
    Specified by:
      `containsJidLocally` in interface `tigase.sys.OnlineJidsReporter`

  - ### containsJidLocally

    public boolean containsJidLocally(tigase.xmpp.jid.JID jid)
    Specified by:
      `containsJidLocally` in interface `tigase.sys.OnlineJidsReporter`

  - ### mapSize

    public long mapSize()

  - ### needsSync

    public boolean needsSync()

  - ### removeAllForNode

    public void removeAllForNode(tigase.xmpp.jid.JID node)

  - ### userDisconnected

    public void userDisconnected(Queue<tigase.server.Packet> results, ConnectionRecordExt rec)

  - ### usersConnected

    public void usersConnected(Queue<tigase.server.Packet> results, ConnectionRecordExt... recs)

  - ### getConnectionIdsForJid

    public tigase.xmpp.jid.JID[] getConnectionIdsForJid(tigase.xmpp.jid.BareJID jid)
    Specified by:
      `getConnectionIdsForJid` in interface `tigase.sys.OnlineJidsReporter`

  - ### getConnectionRecord

    public ConnectionRecordExt getConnectionRecord(tigase.xmpp.jid.JID jid)

  - ### getConnectionRecords

    public Set<ConnectionRecordExt> getConnectionRecords(tigase.xmpp.jid.BareJID bareJID)

  - ### getInternalData

    public Object getInternalData()

  - ### getNodesForJid

    public List<tigase.xmpp.jid.JID> getNodesForJid(tigase.xmpp.jid.JID jid)

  - ### hasCompleteJidsInfo

    public boolean hasCompleteJidsInfo()
    Specified by:
      `hasCompleteJidsInfo` in interface `tigase.sys.OnlineJidsReporter`